¿How to make a backport?

godreborn

Well-Known Member
Member
Joined
Oct 10, 2009
Messages
28,407
Trophies
2
XP
18,360
Country
United States
there are scripts that will do this for you or bats that utilize the scripts, but some games require patches to work on lower firmware due to utilizing newer stuff found in the sdk.
 
  • Like
Reactions: Fireword

Jayinem

Well-Known Member
Member
Joined
Dec 16, 2021
Messages
240
Trophies
0
XP
221
Country
United States
If OP is talking about backporting an update meant for 9.0, good luck with that. Only Opoisso and cyber2000 are pretty much the only two doing all the backports. So you'd have to be on their level of haxx0r skills to backport. They're hex editing etc.... and having to even do a lot of guess work in that so they take a long time. There's no simple autobackporter for 9.0.
 
  • Like
Reactions: KiiWii

godreborn

Well-Known Member
Member
Joined
Oct 10, 2009
Messages
28,407
Trophies
2
XP
18,360
Country
United States
Don’t forget you need the dumped decrypted update, and then after backporting; the update must then be paired to the base game via fingerprint.
I don't think it's the fingerprint that pairs game and update. I think it's the digest, because the fingerprint is based on passcode. all fpkg games use the same passcode, ergo same fingerprint. ;)
 
  • Like
Reactions: KiiWii

godreborn

Well-Known Member
Member
Joined
Oct 10, 2009
Messages
28,407
Trophies
2
XP
18,360
Country
United States
I always forget “digest”. You’re right.
I don't know for sure if it's based on digest, which I think is a checksum. I asked on discord, and I got no reply. I think all duxa repacker does is unpack the old patch, then makes a new one with the base, so you could do it manually. starting to think no body knows for sure.
 

viggen66

Well-Known Member
Member
Joined
Nov 5, 2019
Messages
180
Trophies
0
Age
41
XP
488
Country
Spain
Fireword,

I understand you, lots of games needs new patches, and I can name one which has lots of quality "The Outer Worlds", it has a 1.08 update minimum firmware required is 8.03, would like to have it full updated, because this game is well worth it

 

Fireword

Active Member
OP
Newcomer
Joined
Jan 5, 2021
Messages
37
Trophies
0
Age
24
XP
189
Country
Ecuador
there are scripts that will do this for you or bats that utilize the scripts, but some games require patches to work on lower firmware due to utilizing newer stuff found in the sdk.
Thanks, how are called those scripts or bats?

I dont want to play a 9.0 game i want to fix the update 1.9 of miles morales for usa to 6.72 that solved the dialogues bug in the latin spanish language

Theres already a fix for the EUR version so im sure a fix for the USA version should be possible too
 
General chit-chat
Help Users
  • No one is chatting at the moment.
    Veho @ Veho: Corporation is the new corporation.